Bug 264441 - incorrect hostname in SASL bind within rebind function
incorrect hostname in SASL bind within rebind function
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openldap (Show other bugs)
4.0
All All
medium Severity low
: ---
: ---
Assigned To: Jan Safranek
http://www.openldap.org/its/index.cgi...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-29 13:32 EDT by Brandon Ewing
Modified: 2008-07-24 15:50 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0701
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:50:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to resolve GSSAPI/SASL hangs when following referrals (1.36 KB, patch)
2007-08-29 13:32 EDT, Brandon Ewing
no flags Details | Diff

  None (edit)
Description Brandon Ewing 2007-08-29 13:32:00 EDT
Description of problem:
RHEL4 version of openldap does not contain patch to fix SASL authentication
following referrals, notably in nss_ldap from PADL software.  This happens when
querying a secondary AD catalog (instead of the master catalog) via nss_ldap. 

Version-Release number of selected component (if applicable):
2.2.13-7.4E

Attached patch against openldap-2.2.13/libraries/libldap/cyrus.c resolves issue
(after rebuilding nss_ldap, also)
Patch was reconstructed from
http://web.archive.org/web/20041226070511/http://www.padl.com/~lukeh/sasl.diff
Comment 1 Brandon Ewing 2007-08-29 13:32:00 EDT
Created attachment 179441 [details]
Patch to resolve GSSAPI/SASL hangs when following referrals
Comment 2 RHEL Product and Program Management 2007-11-28 22:59:11 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2008-07-24 15:50:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0701.html

Note You need to log in before you can comment on or make changes to this bug.